5.11.95 (beta)

epel9
Jan Grulich 7 years ago
parent 43e98dfd72
commit 34dadcb7fc

1
.gitignore vendored

@ -1,2 +1,3 @@
/breeze-fedora-0.2.tar.gz
/plasma-workspace-5.11.5.tar.xz
/plasma-workspace-5.11.95.tar.xz

@ -1,50 +0,0 @@
From 1c098f6efa9ce449bc94e71bf8e317e1d607c4f8 Mon Sep 17 00:00:00 2001
From: Maciej Sitarz <macieksitarz@wp.pl>
Date: Mon, 8 Jan 2018 15:01:11 +0000
Subject: [PATCH 13/13] Fix for xembedsniproxy crash due to NULL returned from
xcb_image_get()
Summary:
In my environment (Fedora 27, plasma-workspace-5.11.4-1.fc27.x86_64) xembedsniproxy crashes.
This is caused by NULL being returned by xcb_image_get().
This should fix or at least mitigate the problems from bugs:
https://bugs.kde.org/show_bug.cgi?id=355463
https://bugs.kde.org/show_bug.cgi?id=359664
https://bugzilla.redhat.com/show_bug.cgi?id=1497829
Reviewers: #plasma, davidedmundson
Reviewed By: #plasma, davidedmundson
Subscribers: broulik, plasma-devel
Tags: #plasma
Differential Revision: https://phabricator.kde.org/D9732
---
xembed-sni-proxy/sniproxy.cpp | 8 +++++++-
1 file changed, 7 insertions(+), 1 deletion(-)
diff --git a/xembed-sni-proxy/sniproxy.cpp b/xembed-sni-proxy/sniproxy.cpp
index 7fb00dbb..932109d9 100644
--- a/xembed-sni-proxy/sniproxy.cpp
+++ b/xembed-sni-proxy/sniproxy.cpp
@@ -288,7 +288,13 @@ QImage SNIProxy::getImageNonComposite() const
xcb_image_t *image = xcb_image_get(c, m_windowId, 0, 0, geom->width, geom->height, 0xFFFFFFFF, XCB_IMAGE_FORMAT_Z_PIXMAP);
// Don't hook up cleanup yet, we may use a different QImage after all
- QImage naiveConversion = QImage(image->data, image->width, image->height, QImage::Format_ARGB32);
+ QImage naiveConversion;
+ if (image) {
+ naiveConversion = QImage(image->data, image->width, image->height, QImage::Format_ARGB32);
+ } else {
+ qCDebug(SNIPROXY) << "Skip NULL image returned from xcb_image_get() for" << m_windowId << Title();
+ return QImage();
+ }
if (isTransparentImage(naiveConversion)) {
QImage elaborateConversion = QImage(convertFromNative(image));
--
2.14.3

@ -6,8 +6,8 @@
Name: plasma-workspace
Summary: Plasma workspace, applications and applets
Version: 5.11.5
Release: 2%{?dist}
Version: 5.11.95
Release: 1%{?dist}
License: GPLv2+
URL: https://cgit.kde.org/%{name}.git
@ -50,7 +50,6 @@ Patch105: plasma-workspace-5.7.3-folderview_layout.patch
## upstream Patches lookaside cache
## upstream Patches (master branch)
Patch13: 0013-Fix-for-xembedsniproxy-crash-due-to-NULL-returned-fr.patch
# udev
BuildRequires: zlib-devel
@ -360,7 +359,6 @@ BuildArch: noarch
%setup -q -a 20
## upstream patches
%patch13 -p1 -b .0013
%patch100 -p1 -b .konsole-in-contextmenu
# FIXME/TODO: it is unclear whether this is needed or even a good idea anymore -- rex
@ -459,7 +457,6 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%{_libexecdir}/ksmserver-logout-greeter
%{_libexecdir}/ksyncdbusenv
%{_libexecdir}/ksmserver-switchuser-greeter
%{_kf5_datadir}/ksmserver/
%{_kf5_datadir}/ksplash/
%{_kf5_datadir}/plasma/plasmoids/
%{_kf5_datadir}/plasma/services/
@ -507,9 +504,9 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%files libs
%{_sysconfdir}/xdg/taskmanagerrulesrc
%{_libdir}/libtaskmanager.so.6
%{_libdir}/libtaskmanager.so.%{version}*
%{_libdir}/libweather_ion.so.7*
%{_libdir}/libcolorcorrect.so.*
%{_libdir}/libtaskmanager.so.*
%{_libdir}/libweather_ion.so.*
# multilib'able plugins
%{_kf5_qtplugindir}/plasma/applets/
%{_kf5_qtplugindir}/plasma/dataengine/
@ -531,6 +528,7 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%{_kf5_qtplugindir}/plasma-geolocation-gps.so
%{_kf5_qtplugindir}/plasma-geolocation-ip.so
%{_kf5_qtplugindir}/plasma/dataengine/plasma_engine_geolocation.so
%{_kf5_datadir}/applications/org.kde.systemmonitor.desktop
%{_kf5_datadir}/kservices5/plasma-dataengine-geolocation.desktop
%{_kf5_datadir}/kservices5/plasma-geolocation-gps.desktop
%{_kf5_datadir}/kservices5/plasma-geolocation-ip.desktop
@ -543,17 +541,20 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%{_libdir}/libplasma-geolocation-interface.so.5*
%files devel
%{_libdir}/libcolorcorrect.so
%{_libdir}/libweather_ion.so
%{_libdir}/libtaskmanager.so
%{_libdir}/libplasma-geolocation-interface.so
%{_libdir}/libkworkspace5.so
%dir %{_includedir}/plasma/
%{_includedir}/colorcorrect/
%{_includedir}/plasma/weather/
%{_includedir}/kworkspace5/
%{_includedir}/plasma/geolocation/
%{_includedir}/taskmanager/
%{_libdir}/cmake/KRunnerAppDBusInterface/
%{_libdir}/cmake/KSMServerDBusInterface/
%{_libdir}/cmake/LibColorCorrect
%{_libdir}/cmake/LibKWorkspace/
%{_libdir}/cmake/LibTaskManager/
%{_datadir}/dbus-1/interfaces/*.xml
@ -576,16 +577,13 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%changelog
* Thu Jan 11 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.11.5-2
- fix typo in startkde (#1533628)
* Mon Jan 15 2018 Jan Grulich <jgrulich@redhat.com> - 5.11.95-1
- 5.11.95
* Mon Jan 08 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.11.5-1
- 5.11.5
* Mon Jan 08 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.11.4-4
* Mon Jan 15 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.11.4-4
- use upstreamed version of previous commit/patch
* Mon Jan 08 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.11.4-3
* Mon Jan 15 2018 Rex Dieter <rdieter@fedoraproject.org> - 5.11.4-3
- include candidate crash fix for xembedsniproxy (#1497829,kde#359664)
* Tue Dec 19 2017 Rex Dieter <rdieter@fedoraproject.org> - 5.11.4-2

@ -1,2 +1 @@
SHA512 (breeze-fedora-0.2.tar.gz) = ff800e686b0dcb498f321bb94d3a8274c89c092f5408ef1ec3fc65333f046aea43444144ecaf166792f807014383af87b1180dc7540905fc10dc375309f8b2a8
SHA512 (plasma-workspace-5.11.5.tar.xz) = 6f15e529665a5fbe24ee0420d1c8fe96ff97dbd2788ae120cd1834889b307b5979ca2aedd4f97d3cadcc7ed5cdb06c0e5f9c704ec732468db4b8ecf89270826f
SHA512 (plasma-workspace-5.11.95.tar.xz) = a1ccf5e6df989444488ac23caf08b7e49766f23d926ff4b377fe69061b40c157120ed62bc744b5b0575040de99509a54a3f00c886135136a0bff492465c82bed

@ -1,7 +1,8 @@
diff -up plasma-workspace-5.11.4/startkde/startkde.cmake.startkde plasma-workspace-5.11.4/startkde/startkde.cmake
--- plasma-workspace-5.11.4/startkde/startkde.cmake.startkde 2017-11-28 06:44:10.000000000 -0600
+++ plasma-workspace-5.11.4/startkde/startkde.cmake 2017-12-19 10:31:04.000454158 -0600
@@ -158,48 +158,6 @@ for prefix in `echo $scriptpath`; do
diff --git a/startkde/startkde.cmake b/startkde/startkde.cmake
index 54e2850..2c050b8 100644
--- a/startkde/startkde.cmake
+++ b/startkde/startkde.cmake
@@ -164,48 +164,6 @@ for prefix in `echo $scriptpath`; do
done
done
@ -50,7 +51,7 @@ diff -up plasma-workspace-5.11.4/startkde/startkde.cmake.startkde plasma-workspa
# Set a left cursor instead of the standard X11 "X" cursor, since I've heard
# from some users that they're confused and don't know what to do. This is
# especially necessary on slow machines, where starting KDE takes one or two
@@ -276,22 +234,21 @@ if test $? -ne 0; then
@@ -282,22 +240,21 @@ if test $? -ne 0; then
# Startup error
echo 'startkde: Could not sync environment to dbus.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
@ -78,7 +79,7 @@ diff -up plasma-workspace-5.11.4/startkde/startkde.cmake.startkde plasma-workspa
# finally, give the session control to the session manager
# see kdebase/ksmserver for the description of the rest of the startup sequence
@@ -324,13 +281,13 @@ if test x"$wait_drkonqi"x = x"true"x ; t
@@ -330,13 +287,13 @@ if test x"$wait_drkonqi"x = x"true"x ; then
# wait for remaining drkonqi instances with timeout (in seconds)
wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Timeout --default 900`
wait_drkonqi_counter=0
@ -95,10 +96,11 @@ diff -up plasma-workspace-5.11.4/startkde/startkde.cmake.startkde plasma-workspa
done
break
fi
diff -up plasma-workspace-5.11.4/startkde/startplasma.cmake.startkde plasma-workspace-5.11.4/startkde/startplasma.cmake
--- plasma-workspace-5.11.4/startkde/startplasma.cmake.startkde 2017-11-28 06:44:10.000000000 -0600
+++ plasma-workspace-5.11.4/startkde/startplasma.cmake 2017-12-19 10:38:47.591485023 -0600
@@ -128,7 +128,8 @@ if test $? -ne 0; then
diff --git a/startkde/startplasma.cmake b/startkde/startplasma.cmake
index a5d09fa..a73cb90 100644
--- a/startkde/startplasma.cmake
+++ b/startkde/startplasma.cmake
@@ -140,7 +140,8 @@ if test $? -ne 0; then
exit 1
fi
@ -108,7 +110,7 @@ diff -up plasma-workspace-5.11.4/startkde/startplasma.cmake.startkde plasma-work
# finally, give the session control to the session manager
# see kdebase/ksmserver for the description of the rest of the startup sequence
@@ -157,13 +158,13 @@ if test x"$wait_drkonqi"x = x"true"x ; t
@@ -169,13 +170,13 @@ if test x"$wait_drkonqi"x = x"true"x ; then
# wait for remaining drkonqi instances with timeout (in seconds)
wait_drkonqi_timeout=`kreadconfig5 --file startkderc --group WaitForDrKonqi --key Timeout --default 900`
wait_drkonqi_counter=0
@ -125,15 +127,40 @@ diff -up plasma-workspace-5.11.4/startkde/startplasma.cmake.startkde plasma-work
done
break
fi
diff -up plasma-workspace-5.11.4/startkde/startplasmacompositor.cmake.startkde plasma-workspace-5.11.4/startkde/startplasmacompositor.cmake
--- plasma-workspace-5.11.4/startkde/startplasmacompositor.cmake.startkde 2017-11-28 06:44:10.000000000 -0600
+++ plasma-workspace-5.11.4/startkde/startplasmacompositor.cmake 2017-12-19 10:38:14.629269525 -0600
@@ -13,7 +13,7 @@ if [ -n "$bindir" ]; then
*) PATH=$bindir:$PATH; export PATH;;
esac
else
- qdbus=qdbus
+ qdbus=qdbus-qt5
fi
diff --git a/startkde/startplasmacompositor.cmake b/startkde/startplasmacompositor.cmake
index 8ac47aa..a4ddfb3 100644
--- a/startkde/startplasmacompositor.cmake
+++ b/startkde/startplasmacompositor.cmake
@@ -3,6 +3,8 @@
# DEFAULT Plasma STARTUP SCRIPT ( @PROJECT_VERSION@ )
#
+qdbus=qdbus-qt5
+
# We need to create config folder so we can write startupconfigkeys
if [ ${XDG_CONFIG_HOME} ]; then
configDir=$XDG_CONFIG_HOME;
@@ -120,12 +122,12 @@ fi
# Get a property value from org.freedesktop.locale1
queryLocale1() {
- qdbus --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
+ $qdbus --system org.freedesktop.locale1 /org/freedesktop/locale1 "$1"
}
# Query whether org.freedesktop.locale1 is available. If it is, try to
# set XKB_DEFAULT_{MODEL,LAYOUT,VARIANT,OPTIONS} accordingly.
-if qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
+if $qdbus --system org.freedesktop.locale1 >/dev/null 2>/dev/null; then
# Do not overwrite existing values. There is no point in setting only some
# of them as then they would not match anymore.
if [ -z "${XKB_DEFAULT_MODEL}" -a -z "${XKB_DEFAULT_LAYOUT}" -a \
@@ -175,7 +177,7 @@ fi
export XDG_DATA_DIRS
# Make sure that D-Bus is running
-if qdbus >/dev/null 2>/dev/null; then
+if $qdbus >/dev/null 2>/dev/null; then
: # ok
else
echo 'startplasmacompositor: Could not start D-Bus. Can you call qdbus?' 1>&2

Loading…
Cancel
Save